# OutgoingVariantsReportTask

API Documentation: | `OutgoingVariantsReportTask`

A task which reports the outgoing variants of a project on the command line. This is useful for listing what a project produces in terms of variants and what artifacts are attached to each variant. Variants, in this context, must be understood as "things produced by a project which can safely be consumed by another project".

### Properties

Property | Description
`reports` | Incubating The reports to be generated by this task.
`showAll` | Shows all variants, including legacy and deprecated configurations.
`variantName` | Limits the report to a single variant.

### Methods

Method | Description
`reports(configureAction)` | Allow configuration of the report container by closure.

### Script blocks

No script blocks

### Property details

#### `ConfigurationReports` `reports` (read-only)

Note: This property is incubating and may change in a future version of Gradle.

The reports to be generated by this task.

#### ``Property`<`Boolean`>` `showAll`

Shows all variants, including legacy and deprecated configurations.

#### ``Property`<`String`>` `variantName`

Limits the report to a single variant.

### Method details

#### `T` `reports`(``Action`<? super `T`>` configureAction)

Allow configuration of the report container by closure.

    reports {
      html {
        required false
      }
      xml.outputLocation = "build/reports/myReport.xml"
    }